Bug 14300 - siplogs do not record process IDs
Summary: siplogs do not record process IDs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Kyle M Hall
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2015-05-29 19:24 UTC by Barton Chittenden
Modified: 2021-05-25 13:05 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This addition to the default configuration for the SIP section of the Log4Perl configuration will add the process ID to the log lines for SIP logs. This allows for tracing a transaction from start to finish when using forked SIP services.
Version(s) released in:
21.05.00,20.11.06


Attachments
Bug 14300: Add %P to SIP LogPattern (3.05 KB, patch)
2021-04-16 10:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 14300: Add %P to SIP LogPattern (3.12 KB, patch)
2021-04-16 12:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2015-05-29 19:24:56 UTC
This makes correlating events in sip-output.log and syslog impossible.
Comment 1 Barton Chittenden 2016-01-21 20:36:03 UTC
This is addressed by Bug 15253 -- possible duplicate?
Comment 2 Martin Renvoize 2021-04-16 09:58:21 UTC
We add timestamps by default, but we're still not recording PID.. we should add the `%P` required to log PID to the default log4perl configs.
Comment 3 Martin Renvoize 2021-04-16 10:04:56 UTC
Created attachment 119701 [details] [review]
Bug 14300: Add %P to SIP LogPattern

This patch adds `%P` to the SIP log4perl configuration so that PID is
recorded against log lines.

This allows transactions to be more easily tied together under one
SIPServer, thus making it easier to pick out a whole transaction from
start to finish.
Comment 4 Kyle M Hall 2021-04-16 12:21:35 UTC
Created attachment 119724 [details] [review]
Bug 14300: Add %P to SIP LogPattern

This patch adds `%P` to the SIP log4perl configuration so that PID is
recorded against log lines.

This allows transactions to be more easily tied together under one
SIPServer, thus making it easier to pick out a whole transaction from
start to finish.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-04-21 13:29:21 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-29 13:23:09 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.06
Comment 7 Fridolin Somers 2021-04-29 13:24:02 UTC
PS :
We should consider this also for Plack non ?
Since there are several workers.
Comment 8 Andrew Fuerste-Henry 2021-05-24 16:22:51 UTC
Enhancement, not backported to 20.05